﻿namespace BookCatalog.Models
{
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using BookCatalog.Resources.Models;
    using BookCatalog.Resources.Shared;

    public class Language
    {
        public int Id { get; set; }

        [Display(Name = "Name", ResourceType = typeof(LanguageRes))]
        [Required(ErrorMessageResourceName = "FieldIsRequired",
            ErrorMessageResourceType = typeof(ErrorsRes))]
        [StringLength(64, MinimumLength = 2,
            ErrorMessageResourceName = "InvalidStringLenght",
            ErrorMessageResourceType = typeof(ErrorsRes))]
        [DataType(DataType.Text)]
        public string Name { get; set; }

        [Display(Name = "Books", ResourceType = typeof(LanguageRes))]
        public virtual ICollection<BookDetails> Books { get; set; }
    }
}