﻿namespace BookCatalog.Models
{
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using BookCatalog.Resources.Models;
    using BookCatalog.Resources.Shared;

    public class Tag
    {
        public int Id { get; set; }

        [Display(Name = "Text", ResourceType = typeof(TagRes))]
        [Required(ErrorMessageResourceName = "FieldIsRequired",
            ErrorMessageResourceType = typeof(ErrorsRes))]
        [StringLength(32, MinimumLength = 2,
            ErrorMessageResourceName = "InvalidStringLenght",
            ErrorMessageResourceType = typeof(ErrorsRes))]
        [DataType(DataType.Text)]
        public string Text { get; set; }

        [Display(Name = "Books", ResourceType = typeof(TagRes))]
        public virtual ICollection<BookDetails> Books { get; set; }
    }
}